# Class CacheHostBuilderExtension

Namespace
  adas_core.Infrastructure.Utils

Assembly
  adas-core.Infrastructure.dll

Provides extension methods for configuring or building cache host instances.

    public static class CacheHostBuilderExtension

Inheritance
  object
  CacheHostBuilderExtension

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### UseCache(IHostBuilder)

    public static IHostBuilder UseCache(this IHostBuilder hostBuilder)

#### Parameters

`hostBuilder` IHostBuilder

#### Returns

IHostBuilder